//====RockHound====
print("--- loading RockHound.zs ---");

//Note: the quantity of the gas ingredients is not relievant. The catalyst must be a damageable item.
//input gas A: the left gas ingredient. It must be "gaseous"
//input gas B: the right gas ingredient. It must be "gaseous"
//output gas: the combined gas
//catalyst: the damageable item
mods.rockhounding_chemistry.GasReformer.add(<liquid:syngas>*1000, <liquid:oxygen>*1000, <liquid:fuel>*1000, <rockhounding_chemistry:os_catalyst>);


recipes.removeByRecipeName("galacticraftplanets:asteroids_block_7");
recipes.addShaped("PS_titaniumBlock", <galacticraftplanets:asteroids_block:7>, [[<ore:ingotTitanium>, <ore:ingotTitanium>, <ore:ingotTitanium>], [<ore:ingotTitanium>, <ore:ingotTitanium>, <ore:ingotTitanium>], [<ore:ingotTitanium>, <ore:ingotTitanium>, <ore:ingotTitanium>]]);

//Tar Compound Alternate
mods.primal.Cauldron.addRecipe("PS_tarCompound", 0.25F, <liquid:water> * 1000, null, [<actuallyadditions:item_dust:6>*4, <primal:bitumin_clump>], [<thermalfoundation:material:833> * 4]);
mods.rockhounding_chemistry.RetentionVat.add(<liquid:coal_slurry>*500, [<thermalfoundation:material:833>], [3.18F]);

//Quartz Dust Cleaning
mods.rockhounding_chemistry.LeachingVat.add(<actuallyadditions:item_dust:7>, [<actuallyadditions:item_dust:5>], [3.18F], <liquid:coal_slurry> * 250);

//PirmalCore Charcoal
mods.rockhounding_chemistry.MineralSizer.add(<primal:charcoal_high>, [<rockhounding_chemistry:chemical_items>*2], [2]);
//mods.rockhounding_chemistry.MineralSizer.add(<primal:charcoal_good>, [<rockhounding_chemistry:chemical_items>*2], [2]);
//mods.rockhounding_chemistry.MineralSizer.add(<primal:charcoal_fair>, [<rockhounding_chemistry:chemical_items>], [2]);

//Adjustment for Biomass
mods.rockhounding_chemistry.SlurryPond.removeByInput(<actuallyadditions:item_misc:21>);
mods.rockhounding_chemistry.SlurryPond.add(<actuallyadditions:item_misc:21>, <liquid:water>*500, <liquid:organic_slurry>*1000);


print("Initialized 'RockHound.zs'");