//====Tech_Foundry====
print("--- loading Tech_Foundry.zs ---");

//Foundry Adjustments
recipes.remove(<minecraft:cauldron>);
recipes.addShaped("ps_cauldron", <minecraft:cauldron>, [[<ore:ingotSteel>, null, <ore:ingotSteel>], [<ore:ingotSteel>, null, <ore:ingotSteel>], [<ore:ingotSteel>, <ore:ingotSteel>, <ore:ingotSteel>]]);

recipes.removeByRecipeName("thermalfoundation:clay_ball");

mods.foundry.BurnerHeater.addFuel(<primal:charcoal_high>, 2700, 248);
mods.foundry.BurnerHeater.addFuel(<primal:charcoal_good>, 1950, 228);
mods.foundry.BurnerHeater.addFuel(<primal:charcoal_fair>, 1200, 210);
mods.foundry.BurnerHeater.addFuel(<actuallyadditions:item_misc:22>, 1950, 228);
mods.foundry.BurnerHeater.addFuel(<primal:earthwax_clump>, 1950, 228);

//Bronze Cauldron
recipes.removeByRecipeName("foundry:recipe34");
recipes.addShaped("PS_bronzeCauldron", <foundry:bronzecauldron>, [[<ore:ingotBronze>, null, <ore:ingotBronze>], [<ore:ingotBronze>, null, <ore:ingotBronze>], [<ore:ingotSteel>, <ore:ingotBronze>, <ore:ingotSteel>]]);

//Osmium Adjustment
mods.foundry.Melting.removeRecipe(<rockhounding_chemistry:chemical_dusts:38>);
mods.foundry.Melting.addRecipe(<liquid:liquidosmium> * 108, <rockhounding_chemistry:chemical_dusts:38>, 2000);
mods.foundry.Melting.removeRecipe(<mekanism:ingot:1>);
mods.foundry.Melting.addRecipe(<liquid:liquidosmium> * 108, <mekanism:ingot:1>, 2000);
mods.foundry.Melting.removeRecipe(<mekanism:nugget:1>);
mods.foundry.Melting.addRecipe(<liquid:liquidosmium> * 12, <mekanism:nugget:1>, 2000);
mods.foundry.Melting.removeRecipe(<mekanism:basicblock>);
mods.foundry.Melting.addRecipe(<liquid:liquidosmium> * 972, <mekanism:basicblock>, 2000);
mods.foundry.Melting.removeRecipe(<mekanism:oreblock>);
mods.foundry.Melting.addRecipe(<liquid:liquidosmium> * 216, <mekanism:oreblock>, 2000);


//Thermal Expansion Tools
recipes.removeByRecipeName("thermalfoundation:tool.sword_copper");
recipes.removeByRecipeName("thermalfoundation:tool.shovel_copper");
recipes.removeByRecipeName("thermalfoundation:tool.pickaxe_copper");
recipes.removeByRecipeName("thermalfoundation:tool.axe_copper");
recipes.removeByRecipeName("thermalfoundation:tool.hoe_copper");
recipes.removeByRecipeName("thermalfoundation:tool.hammer_copper");

recipes.removeByRecipeName("thermalfoundation:tool.sword_tin");
recipes.removeByRecipeName("thermalfoundation:tool.shovel_tin");
recipes.removeByRecipeName("thermalfoundation:tool.pickaxe_tin");
recipes.removeByRecipeName("thermalfoundation:tool.axe_tin");
recipes.removeByRecipeName("thermalfoundation:tool.hoe_tin");
recipes.removeByRecipeName("thermalfoundation:tool.hammer_tin");

recipes.removeByRecipeName("thermalfoundation:tool.hammer_iron");

recipes.removeByRecipeName("thermalfoundation:tool.hammer_diamond");

//Vanilla Tools
recipes.removeByRecipeName("minecraft:diamond_shovel");
recipes.removeByRecipeName("minecraft:diamond_pickaxe");
recipes.removeByRecipeName("minecraft:diamond_axe");
recipes.removeByRecipeName("minecraft:diamond_hoe");


recipes.removeByRecipeName("minecraft:iron_shovel");
recipes.removeByRecipeName("minecraft:iron_pickaxe");
recipes.removeByRecipeName("minecraft:iron_axe");
recipes.removeByRecipeName("minecraft:iron_hoe");
recipes.removeByRecipeName("forgecraft:iron_shovel");
recipes.removeByRecipeName("forgecraft:iron_pickaxe");
recipes.removeByRecipeName("forgecraft:iron_axe");
recipes.removeByRecipeName("forgecraft:iron_hoe");


recipes.removeByRecipeName("thermalfoundation:material_4");

recipes.removeByRecipeName("actuallyadditions:recipes324");
recipes.addShapeless("PS_AIOT", <actuallyadditions:iron_paxel>, 
	[<forgecraft:ironaxe>, 
	<forgecraft:ironpickaxe>, 
	<forgecraft:ironshovel>, 
	<forgecraft:wroughtirongladius>, 
	<forgecraft:ironhoe>]);

recipes.removeByRecipeName("engineersworkshop:upgrade_9");
recipes.addShaped("PS_EngWrkShpupgrade_9", <engineersworkshop:upgrade:9>, 
	[[<minecraft:flint>, <forgecraft:ironaxe>, <minecraft:flint>], 
	[<minecraft:redstone>, <engineersworkshop:upgrade>, <minecraft:redstone>], 
	[<minecraft:iron_bars>, <minecraft:iron_bars>, <minecraft:iron_bars>]]);
	
print("Initialized 'Tech_Foundry.zs'");